# !!! If you change this, you should definitely get 2 PR
# Approvals as it could mess up sudo access on boxes !!!

provides :zabbix_sudo_command, platform_family: 'debian'
property :name, String, name_property: true
property :commands, [String, Array], required: true

default_action :create

action :create do
  case new_resource.commands.class
  when String
    template "/etc/sudoers.d/50-zabbix-#{new_resource.name}" do
      source 'agent/sudoers.erb'
      variables command: new_resource.commands
      cookbook 'livelink-zabbix'
    end
  when Array
    command_string = new_resource.commands.join(',')
    template "/etc/sudoers.d/51-zabbix-#{new_resource.name}" do
      source 'agent/sudoers.erb'
      variables command: command_string
      cookbook 'livelink-zabbix'
    end
  else
    return 'Unsupported Command type'
  end
end
